// 2017-10-16 programmeerimisvõistlus
// Ülesanne: KESKMISED SKOORID
// Autor: Ahto Truu
// Testitud: GCC 6.4.0 / CygWin

// Sirgjooneline lahendus otse ülesande teksti järgi.

// Tasub tähele panna, et kui oleks lubatud saada rohkem kui 10000 punkti
// mängu kohta, siis võiks see lahendus mõnedes suuremates testides juba
// valesid vastuseid anda ujukomaarvude piiratud täpsuse tõttu. Näiteks
// kui allolevas double asemel float tüüpi kasutada, saaks juba praeguste
// limiitidega paaris testis valed vastused.

#include <fstream>
using namespace std;

ifstream sis("kesksis.txt");
ofstream val("keskval.txt");

int main() {
	int n; // sisendi pikkus
	sis >> n;
	// loeme sisendi ja leiame jooksvalt kummagi mängija statistika
	double mari_summa = 0, juri_summa = 0; // kõigi mängude punktide summad
	int mari_mange = 0, juri_mange = 0; // mängude arvud
	for (int i = 0; i < n; ++i) {
		char c; int p; // ühe mängu andmed
		sis >> c >> p;
		if (c == 'M') {
			mari_summa += p;
			mari_mange += 1;
		}
		if (c == 'J') {
			juri_summa += p;
			juri_mange += 1;
		}
	}
	// leiame kummagi mängija keskmised, vältides nulliga jagamist
	double mari_kesk, juri_kesk;
	if (mari_mange == 0) {
		mari_kesk = 0;
	} else {
		mari_kesk = mari_summa / mari_mange;
	}
	if (juri_mange == 0) {
		juri_kesk = 0;
	} else {
		juri_kesk = juri_summa / juri_mange;
	}
	// väljastame vastuse
	if (mari_kesk < juri_kesk) {
		val << "J\n";
	}
	if (mari_kesk == juri_kesk) {
		val << "V\n";
	}
	if (mari_kesk > juri_kesk) {
		val << "M\n";
	}
	return 0;
}
