#include<iostream>
#include<fstream>
#include<string>
#include<algorithm>
using namespace std;

vector<char> add(vector<char>& a, vector<char>& b) {
    vector<char> c;
    reverse(a.begin(), a.end());
    reverse(b.begin(), b.end());
    if (b.size() > a.size()) a.push_back(0);
    char carry = 0;
    for (int i = 0; i < a.size(); i++) {
        int s = a[i] + b[i] + carry;
        c.push_back(s % 10);
        carry = s / 10;
    }
    if (carry != 0) c.push_back(carry);
    while (c.size() > 1 && c.back() == 0) c.pop_back();
    reverse(c.begin(), c.end());
    return c;
}

ostream& operator<<(ostream& out, const vector<char>& n) {
    for (auto& c: n) out << (char)('0'+c);
    return out;
}

int main() {
    ifstream in("magsis.txt");
    ofstream out("magval.txt");
    int n;
    string s;
    in >> n >> s;

    sort(s.begin(), s.end());
    vector<char> a,b;
    for(int i = 0; i < s.size(); i++)
        if (i % 2) a.push_back(s[i] - '0');
        else b.push_back(s[i] - '0');

    out << add(a,b) << endl;
    return 0;
}