# sisendi korrektsuse kontrollija

import sys

fi = open(sys.argv[1], 'rt')
fo = open(sys.argv[2], 'wt')

(n, m) = map(int, fi.readline().strip().split())
if 1 > n or n > 50:
	sys.exit('N out of range')
if 1 > m or m > 10:
	sys.exit('M out of range')
fo.write('{0} {1}\n'.format(n, m))

for i in range(n):
	(x, y) = map(int, fi.readline().strip().split())
	if -20000 > x or x > 20000:
		sys.exit('X[{0}] out of range'.format(i + 1))
	if -20000 > y or y > 20000:
		sys.exit('Y[{0}] out of range'.format(i + 1))
	fo.write('{0} {1}\n'.format(x, y))

for i in range(n):
	pp = map(int, fi.readline().strip().split())
	if len(pp) <> n:
		sys.exit('Wrong number of P[{0},j] values'.format(i + 1))
	for j, p in enumerate(pp):
		if 0 > p or p > 25000:
			sys.exit('P[{0},{1}] out of range'.format(i + 1, j + 1))
	if pp[i] != 0:
		sys.exit('Non-zero P[{0},{0}]'.format(i + 1))
	fo.write('{0}\n'.format(' '.join(map(str, pp))))

fi.close()
fo.close()
