using System;
using System.Linq;
using System.IO;

class Program {
    public static void Main() {
        var n = File.ReadLines("kesksis.txt").Skip(1)
                .Select(ln => Tuple.Create(ln[0], long.Parse(ln.Substring(2)))).ToList();
        var jsum = n.Where(x => x.Item1 == 'J').Sum(x => x.Item2);
        var jcnt = n.Count(x => x.Item1 == 'J');
        var msum = n.Where(x => x.Item1 != 'J').Sum(x => x.Item2);
        var res = jsum*Math.Max(1, n.Count - jcnt) - msum*Math.Max(jcnt, 1);
        File.WriteAllLines("keskval.txt", new[] { res == 0 ? "V" : res > 0 ? "J" : "M" });
    }
}